Bug 322651 - Volume control with ALSA mixer puts both input and output devices under playback
Volume control with ALSA mixer puts both input and output devices under playback
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 22:11 EDT by David Campbell
Modified: 2009-01-19 12:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 12:39:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of amixer -c as requested (6.83 KB, text/plain)
2007-10-08 06:14 EDT, David Campbell
no flags Details
screen shot of volume control viewing alsa (20.21 KB, image/png)
2007-10-08 06:17 EDT, David Campbell
no flags Details
screen shot of volume control viewing oss (20.46 KB, image/png)
2007-10-08 06:19 EDT, David Campbell
no flags Details
log output as you request (129.13 KB, application/x-gzip)
2007-10-08 07:09 EDT, David Campbell
no flags Details
image of volume control in F10 (29.48 KB, image/png)
2008-12-08 17:15 EST, David Campbell
no flags Details

  None (edit)
Description David Campbell 2007-10-07 22:11:33 EDT
Description of problem:

By default my system has a number of mixers that show under File/Change Device
in volume control:
Intel ICH5 (ALSA mixer)
Intel ICH5 modem (ALSA mixer
Realtek ALC650F (OSS mixer)

The OSS mixer correctly divides the audio devices under playback and recording,
but with the ALSA mixer, they all appear under Playback, even the Microphone,
CD, Line-In etc.

I would expect that the ALSA mixer would like the OSS mixer correctly put the
audio devices under their correct categories.

Version-Release number of selected component (if applicable):

gnome-media-2.18.0-3.fc7

How reproducible:

Always
Comment 1 Bastien Nocera 2007-10-08 05:58:58 EDT
Please attach the output of "amixer -c X" where X is the card number for this
device.
Comment 2 David Campbell 2007-10-08 06:14:08 EDT
Created attachment 219531 [details]
output of amixer -c as requested
Comment 3 David Campbell 2007-10-08 06:17:32 EDT
Created attachment 219541 [details]
screen shot of volume control viewing alsa
Comment 4 David Campbell 2007-10-08 06:19:16 EDT
Created attachment 219561 [details]
screen shot of volume control viewing oss
Comment 5 Bastien Nocera 2007-10-08 06:58:56 EDT
Could you select the Intel ICH5 ALSA device, exit gnome-volume-control, and
restart it with:
GST_DEBUG=*:5 gnome-volume-control 2> log
Then Ctrl+C to kill it
And attach the "log" output file?

gnome-volume-control is supposed to show the tracks under input if they have an
input volume, but this doesn't seem to be working correctly. The log file will
tell me how GStreamer detects the tracks.

Could you also tell me which version of gstreamer-plugins-base you're using?
0.10.13 is the latest version for Fedora 7, make sure it's updated.
Comment 6 David Campbell 2007-10-08 07:09:06 EDT
Created attachment 219641 [details]
log output as you request

[root@Vigor11 ~]# rpm -q -a | grep gstreamer-plugins-base
gstreamer-plugins-base-0.10.13-1.fc7

And I attach the log as you request
Comment 7 Bastien Nocera 2007-10-10 19:25:05 EDT
This is the relevant part of the log:
0:00:00.462516000  4088 0x84f6180 LOG                   alsa
gstalsamixer.c:216:gst_alsa_mixer_ensure_track_list: [Mic] probing element #14,
mixer->dir=3
0:00:00.462566000  4088 0x84f6180 LOG                   alsa
gstalsamixer.c:226:gst_alsa_mixer_ensure_track_list: [Mic] PLAYBACK:
has_playback_volume=1, has_playback_switch=1
0:00:00.462587000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:146:gst_alsa_mixer_track_new: [Mic]
num=0,track_num=14,flags=0x00000002,sw=false,shared_mute_track=(nil)
0:00:00.462620000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:153:gst_alsa_mixer_track_new: [Mic] created new mixer track
0x85a82e0
0:00:00.462639000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:104:gst_alsa_mixer_track_update_alsa_capabilities: [Mic]
alsa_flags=0x00000072, capture_group=0
0:00:00.462657000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:175:gst_alsa_mixer_track_new: [Mic] 1 output channels
0:00:00.462692000  4088 0x84f6180 LOG                   alsa
gstalsamixer.c:263:gst_alsa_mixer_ensure_track_list: [Mic] CAPTURE:
has_capture_volume=0, has_common_volume=0, has_capture_switch=1,
has_common_switch=0, play_track=0x85a82e0
0:00:00.462712000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:146:gst_alsa_mixer_track_new: [Mic]
num=0,track_num=14,flags=0x00000001,sw=true,shared_mute_track=(nil)
0:00:00.462755000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:153:gst_alsa_mixer_track_new: [Mic] created new mixer track
0x85a8398
0:00:00.462775000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:104:gst_alsa_mixer_track_update_alsa_capabilities: [Mic]
alsa_flags=0x00000072, capture_group=0
0:00:00.462793000  4088 0x84f6180 LOG                   alsa
gstalsamixertrack.c:182:gst_alsa_mixer_track_new: [Mic] 2 input channels
Comment 8 Bastien Nocera 2008-04-18 09:57:34 EDT
If you're using rawhide, or can test a rawhide, please test with the new
gstreamer-plugins-base:
http://koji.fedoraproject.org/koji/buildinfo?buildID=46563
Comment 9 Bug Zapper 2008-05-14 10:39:25 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-11-26 02:55:49 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 David Campbell 2008-12-08 17:15:50 EST
Created attachment 326219 [details]
image of volume control in F10

In F10, I still see these under the volume control Playback tab:

Master, PCM, Line-In, CD, Microphone, PC Speaker

I would have thought that the inputs Line-In, CD, Microphone would be in a separate tab!

I attach an F10 volume control screenshot.
Comment 12 Bastien Nocera 2009-01-19 12:39:05 EST
This bug should be fixed with the new gnome-volume-control and gnome-volume-control-applet in rawhide, available in the gnome-media package. Please reopen if the problem persists with those versions.

Note You need to log in before you can comment on or make changes to this bug.